path: /build/build/netaddr-dev-python-0.10.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-cli -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/netaddr -pv -t && \
    USE="-cli -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/netaddr
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/netaddr && luet-portage --dir /pkgdir/netaddr
    dev-python/netaddr && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2de73d71faad1b6661c65357c292c490ee65618b2f52c1da71232d49f2241124
  package:
    name: netaddr
    version: 0.10.1
    category: dev-python
    use_flags:
    - -cli
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Network address representation and manipulation library
    uri:
    - https://github.com/drkjam/netaddr https://pypi.org/project/netaddr/ https://netaddr.readthedocs.org
    license: BSD
    buildtimestamp: 2024-02-10 22:55:25.796430422 +0000 UTC m=+138.625436892
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/netaddr
      kit: geaaru-kit
      original.package.name: dev-python/netaddr
      original.package.slot: "0"
      original.package.version: 0.10.1
    treedir: /build/packages
  package_dir: /pkgdir/netaddr
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f11d213af6eceda9c7a9da41d934ebc985da0b7d62a8b0e7813b1eacb80553de
compressiontype: zstd
files:
- usr/bin/netaddr
- usr/lib/python-exec/python3.9/netaddr
- usr/lib/python3.9/site-packages/netaddr/__init__.py
- usr/lib/python3.9/site-packages/netaddr/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/cli.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/cli.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/cli.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/core.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/core.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/fbsocket.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/fbsocket.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/__pycache__/fbsocket.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/cli.py
- usr/lib/python3.9/site-packages/netaddr/compat.py
- usr/lib/python3.9/site-packages/netaddr/contrib/__init__.py
- usr/lib/python3.9/site-packages/netaddr/contrib/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/contrib/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/contrib/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/contrib/__pycache__/subnet_splitter.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/contrib/__pycache__/subnet_splitter.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/contrib/__pycache__/subnet_splitter.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/contrib/subnet_splitter.py
- usr/lib/python3.9/site-packages/netaddr/core.py
- usr/lib/python3.9/site-packages/netaddr/eui/__init__.py
- usr/lib/python3.9/site-packages/netaddr/eui/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/eui/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/eui/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/eui/__pycache__/ieee.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/eui/__pycache__/ieee.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/eui/__pycache__/ieee.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/eui/iab.idx
- usr/lib/python3.9/site-packages/netaddr/eui/iab.txt
- usr/lib/python3.9/site-packages/netaddr/eui/ieee.py
- usr/lib/python3.9/site-packages/netaddr/eui/oui.idx
- usr/lib/python3.9/site-packages/netaddr/eui/oui.txt
- usr/lib/python3.9/site-packages/netaddr/fbsocket.py
- usr/lib/python3.9/site-packages/netaddr/ip/__init__.py
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/glob.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/glob.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/glob.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/iana.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/iana.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/iana.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/nmap.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/nmap.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/nmap.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/rfc1924.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/rfc1924.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/rfc1924.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/sets.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/sets.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/__pycache__/sets.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/ip/glob.py
- usr/lib/python3.9/site-packages/netaddr/ip/iana.py
- usr/lib/python3.9/site-packages/netaddr/ip/ipv4-address-space.xml
- usr/lib/python3.9/site-packages/netaddr/ip/ipv6-address-space.xml
- usr/lib/python3.9/site-packages/netaddr/ip/ipv6-unicast-address-assignments.xml
- usr/lib/python3.9/site-packages/netaddr/ip/multicast-addresses.xml
- usr/lib/python3.9/site-packages/netaddr/ip/nmap.py
- usr/lib/python3.9/site-packages/netaddr/ip/rfc1924.py
- usr/lib/python3.9/site-packages/netaddr/ip/sets.py
- usr/lib/python3.9/site-packages/netaddr/strategy/__init__.py
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/eui48.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/eui48.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/eui48.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/eui64.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/eui64.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/eui64.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/ipv4.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/ipv4.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/ipv4.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/ipv6.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/ipv6.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/__pycache__/ipv6.cpython-39.pyc
- usr/lib/python3.9/site-packages/netaddr/strategy/eui48.py
- usr/lib/python3.9/site-packages/netaddr/strategy/eui64.py
- usr/lib/python3.9/site-packages/netaddr/strategy/ipv4.py
- usr/lib/python3.9/site-packages/netaddr/strategy/ipv6.py
- usr/lib/python3.9/site-packages/netaddr-0.10.1.dist-info/AUTHORS
- usr/lib/python3.9/site-packages/netaddr-0.10.1.dist-info/METADATA
- usr/lib/python3.9/site-packages/netaddr-0.10.1.dist-info/RECORD
- usr/lib/python3.9/site-packages/netaddr-0.10.1.dist-info/WHEEL
- usr/lib/python3.9/site-packages/netaddr-0.10.1.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/netaddr-0.10.1.dist-info/top_level.txt
- usr/share/doc/netaddr-0.10.1/AUTHORS.bz2
- usr/share/doc/netaddr-0.10.1/CHANGELOG.bz2
- usr/share/doc/netaddr-0.10.1/README.rst.bz2
- var/db/pkg/dev-python/netaddr-0.10.1/BDEPEND
- var/db/pkg/dev-python/netaddr-0.10.1/BUILD_TIME
- var/db/pkg/dev-python/netaddr-0.10.1/CATEGORY
- var/db/pkg/dev-python/netaddr-0.10.1/CBUILD
- var/db/pkg/dev-python/netaddr-0.10.1/CFLAGS
- var/db/pkg/dev-python/netaddr-0.10.1/CHOST
- var/db/pkg/dev-python/netaddr-0.10.1/CONTENTS
- var/db/pkg/dev-python/netaddr-0.10.1/COUNTER
- var/db/pkg/dev-python/netaddr-0.10.1/CXXFLAGS
- var/db/pkg/dev-python/netaddr-0.10.1/DEFINED_PHASES
- var/db/pkg/dev-python/netaddr-0.10.1/DEPEND
- var/db/pkg/dev-python/netaddr-0.10.1/DESCRIPTION
- var/db/pkg/dev-python/netaddr-0.10.1/EAPI
- var/db/pkg/dev-python/netaddr-0.10.1/FEATURES
- var/db/pkg/dev-python/netaddr-0.10.1/HOMEPAGE
- var/db/pkg/dev-python/netaddr-0.10.1/INHERITED
- var/db/pkg/dev-python/netaddr-0.10.1/IUSE
- var/db/pkg/dev-python/netaddr-0.10.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/netaddr-0.10.1/KEYWORDS
- var/db/pkg/dev-python/netaddr-0.10.1/LDFLAGS
- var/db/pkg/dev-python/netaddr-0.10.1/LICENSE
- var/db/pkg/dev-python/netaddr-0.10.1/PF
- var/db/pkg/dev-python/netaddr-0.10.1/RDEPEND
- var/db/pkg/dev-python/netaddr-0.10.1/SIZE
- var/db/pkg/dev-python/netaddr-0.10.1/SLOT
- var/db/pkg/dev-python/netaddr-0.10.1/USE
- var/db/pkg/dev-python/netaddr-0.10.1/environment.bz2
- var/db/pkg/dev-python/netaddr-0.10.1/netaddr-0.10.1.ebuild
- var/db/pkg/dev-python/netaddr-0.10.1/repository
package_cacheimage: ""
runtime:
  name: netaddr
  version: 0.10.1
  category: dev-python
  use_flags:
  - -cli
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Network address representation and manipulation library
  uri:
  - https://github.com/drkjam/netaddr https://pypi.org/project/netaddr/ https://netaddr.readthedocs.org
  license: BSD
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/netaddr
    kit: geaaru-kit
    original.package.name: dev-python/netaddr
    original.package.slot: "0"
    original.package.version: 0.10.1
